mobius_crypt_includedir = $(includedir)/mobius/crypt
nobase_mobius_crypt_include_HEADERS = *.h

noinst_LTLIBRARIES = libmobius-crypt.la
libmobius_crypt_la_CXXFLAGS = -I$(top_srcdir)/src
libmobius_crypt_la_SOURCES =						\
	cipher.cc							\
	cipher_block.cc							\
	cipher_block_mode.cc						\
	cipher_block_mode_impl_cbc.cc					\
	cipher_block_mode_impl_ecb.cc					\
	cipher_block_mode_impl_ige.cc					\
	cipher_3des.cc							\
	cipher_aes.cc							\
	cipher_blowfish.cc						\
	cipher_des.cc							\
	cipher_rc4.cc							\
	cipher_rc2.cc							\
	cipher_rot13.cc							\
	cipher_zip.cc							\
	hash.cc								\
	hash_block.cc							\
	hash_digest.cc							\
	hash_adler32.cc							\
	hash_crc32.cc							\
	hash_ed2k.cc							\
	hash_md4.cc							\
	hash_md5.cc							\
	hash_sha1.cc							\
	hash_sha2_224.cc						\
	hash_sha2_256.cc						\
	hash_sha2_384.cc						\
	hash_sha2_512.cc						\
	hash_sha2_512_224.cc						\
	hash_sha2_512_256.cc						\
	hash_zip.cc							\
	hmac.cc								\
	pkcs5.cc

libmobius_crypt_la_LDFLAGS = -avoid-version
